package org.yacos.core.users;

import java.util.List;

import javax.ejb.Remote;

import org.yacos.core.exceptions.PKAlreadyUsedException;

@Remote
public interface IUserManager {
	
	//crud methode
	public List<User> getUsers();
	public User addUser(String login, String password, String firstName,
			String lastName, String organization, String email) throws PKAlreadyUsedException;
	public void removeUser(User user);
	public User getUser(String login);
	public void UpdateUser(User user);
	public Boolean exists(String login);

	//role methode
	public List<Role> getRoles();
	
		
}
